require ("Assets/RSC/P42Pack01/RailVehicles/Diesel/P42DC/TRS_PhIII/Locomotive/GE_P42DC_EngineScript_Trail.out");
old_Initialise = Initialise;
old_Update = Update;

function Initialise()
   old_Initialise();
   Call("BeginUpdate")
end

function Update( p_nInterval )
   old_Update( p_nInterval);
   Call("*:ActivateNode", "rivets", 0 )

end